org.keycloak.models

## Interface ScopeContainerModel

- All Known Subinterfaces:
    ClientModel, ClientScopeModel
  All Known Implementing Classes:
    AbstractClientModel, AbstractClientStorageAdapter, AbstractReadOnlyClientScopeAdapter, AbstractReadOnlyClientStorageAdapter, ClientAdapter, ClientAdapter, ClientScopeAdapter, ClientScopeAdapter, MapClientAdapter, OpenshiftSAClientAdapter, UnsupportedOperationsClientStorageAdapter

      public interface ScopeContainerModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addScopeMapping(RoleModel role)`
    `void` | `deleteScopeMapping(RoleModel role)`
    `default Set<RoleModel>` | `getRealmScopeMappings()` Deprecated. Use `getRealmScopeMappingsStream()` getRealmScopeMappingsStream} instead.
    `Stream<RoleModel>` | `getRealmScopeMappingsStream()` From the scope mappings returned by `getScopeMappingsStream()` ()} returns only those that belong to the realm that owns this scope container.
    `default Set<RoleModel>` | `getScopeMappings()` Deprecated.
    `Stream<RoleModel>` | `getScopeMappingsStream()`
    `boolean` | `hasScope(RoleModel role)`

- - ### Method Detail

    - #### getScopeMappings

          @Deprecated
          default Set<RoleModel> getScopeMappings()

      Deprecated.

    - #### getScopeMappingsStream

          Stream<RoleModel> getScopeMappingsStream()

    - #### getRealmScopeMappings

          @Deprecated
          default Set<RoleModel> getRealmScopeMappings()

      Deprecated. Use `getRealmScopeMappingsStream()` getRealmScopeMappingsStream} instead.
      From the scope mappings returned by `getScopeMappings()` returns only those that belong to the realm that owns this scope container.
      Returns:
        set of `RealmModel`

    - #### getRealmScopeMappingsStream

          Stream<RoleModel> getRealmScopeMappingsStream()

      From the scope mappings returned by `getScopeMappingsStream()` ()} returns only those that belong to the realm that owns this scope container.
      Returns:
        stream of `RoleModel`

    - #### addScopeMapping

          void addScopeMapping(RoleModel role)

    - #### deleteScopeMapping

          void deleteScopeMapping(RoleModel role)

    - #### hasScope

          boolean hasScope(RoleModel role)

Copyright © 2021 JBoss by Red Hat. All rights reserved.